%include	/usr/lib/rpm/macros.php
%define		status		stable
%define		pearname	File_Iterator
Summary:	FilterIterator implementation that filters files based on a list of suffixes
Name:		php-phpunit-File_Iterator
Version:	1.3.4
Release:	1
License:	BSD License
Group:		Development/Languages/PHP
Source0:	http://pear.phpunit.de/get/%{pearname}-%{version}.tgz
# Source0-md5:	65bd35204eab9b968d0f4563f2e1829f
URL:		http://pear.phpunit.de/
BuildRequires:	php-channel(pear.phpunit.de)
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php-channel(pear.phpunit.de)
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FilterIterator implementation that filters files based on a list of
suffixes.

In PEAR status of this package is: %{status}.

%prep
%pear_package_setup

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%{php_pear_dir}/.registry/.channel.*/*.reg
%{php_pear_dir}/File/Iterator.php
%{php_pear_dir}/File/Iterator
%changelog
* Thu Jun 19 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-phpunit-File_Iterator.git;a=log;h=master

* Thu Jun 19 2014 Elan Ruusamäe <glen@delfi.ee> 561408f
- up to 1.3.4

* Wed Oct 17 2012 Elan Ruusamäe <glen@delfi.ee> d750e0c
- up to 1.3.3

* Mon Mar 26 2012 Elan Ruusamäe <glen@pld-linux.org> 558ca16
- updated to: 1.3.1

* Wed Nov 02 2011 Elan Ruusamäe <glen@pld-linux.org> baa8683
- updated to: 1.3.0

* Mon Apr 25 2011 Elan Ruusamäe <glen@pld-linux.org> c66123b
- updated to: 1.2.6

* Sun Feb 27 2011 Elan Ruusamäe <glen@pld-linux.org> 9cfd748
- fix url

* Wed Oct 20 2010 Elan Ruusamäe <glen@pld-linux.org> 1ac0491
- initial from pear make-rpm-spec

